/* ------------------------------ */
/* ----------- Footer ----------- */
/* ------------------------------ */

/* General */
footer {
    position: relative;
    z-index: 1;
    font-size: var(--font-size-2);
    line-height: var(--line-height-1);
    background-color: var(--brand-color-2-special);
}

footer, footer p, footer li, footer .footer__main a {
    color: var(--brand-white);
}
  
footer a {
    text-decoration: none;
    -webkit-transition: var(--transition-2);
    -o-transition: var(--transition-2);
    transition: var(--transition-2);
}
  
footer span {
    display: block;
}


/* Main */
.footer__main__logo {
    text-align: center;
}

.footer__main__logo a {
    display: inline-block;
}

.footer__main__opening_hours .typography--h2, .footer__main__opening_hours .opening_hours__title, .footer__main__contact {
    text-align: center;
}

.footer__main__contact .button {
    margin-top: var(--spacing-3-5);
}

.opening_hours > span {
    max-width: 450px;
    margin: 0 auto;
}

.footer__main__opening_hours .typography--h2 {
    text-transform: none;
    margin-bottom: 0;
}

.footer__main__opening_hours .opening_hours__data {
    margin: 0 auto;
    font-size: var(--font-size-standard);
    max-width: var(--width-opening-hours);
}

.opening_hours__text {
    font-size: var(--font-size-standard);
}

.footer__main__opening_hours .opening_hours__text {
    text-align: center;
}

.footer__main__contact address, .footer__main__contact p {
    font-size: var(--font-size-3);
}

.footer__main__contact address {
    margin-top: var(--spacing-3);
    margin-bottom: var(--spacing-2);
}

.footer__main__contact p a {
    display: inline-block;
    line-height: 1.2;
    border-bottom: 1px solid;
    -webkit-transition: var(--transition-2);
    -o-transition: var(--transition-2);
    transition: var(--transition-2);
}

.footer__main__contact p a + br + a {
    margin-top: 10px;
}

.no-touchevents .footer__main__contact p a:hover {
    opacity: var(--opacity-2);
}

.footer__main__voucher {
    text-align: center;
    margin-top: var(--spacing-8);
    margin-bottom: var(--spacing-7);
}

.footer__main__voucher h3 {
    max-width: initial;
    font-size: var(--font-size-7);
    color: var(--brand-color-1);
}

.footer__main__voucher p {
    font-size: var(--font-size-standard);
    margin-bottom: var(--spacing-1) !important;
}

.footer__main__voucher .link_container {
    left: 14px;
}

.footer__main__voucher .link_container span {
    line-height: 23px;
}



/* Footer bottom */
.footer__bottom {
    font-size: var(--font-size-3);
}

.footer__bottom span span, .footer__bottom a, .footer__copyright {
    opacity: .2;
}

.no-touchevents .footer__bottom a:hover, .no-touchevents .footer__legal__nav a:hover {
    opacity: 1;
}

.footer__legal__info span, .footer__legal__nav li {
    display: inline-block;
}

.footer__legal__info span + span {
    padding-left: var(--spacing-5);
}

.footer__legal__nav a, .footer__creator a {
    display: inline-block;
    line-height: 1.2;
    border-bottom: 1px solid;
}

.footer__bottom__divider {
    position: relative;
    text-align: center;
}

.footer__bottom__divider::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: var(--brand-white);
    opacity: .2;
}

.footer__bottom__divider span {
    display: inline-block;
    position: relative;
    padding: 0 var(--spacing-2);
    font-size: var(--font-size-2);
    font-weight: 700;
    text-transform: uppercase;
    color: rgb(255 255 255 / 20%);
    background-color: var(--brand-color-2-special);
    z-index: 1;
}

.footer__bottom__emmenpark_group {
    width: 100%;
    text-align: center;
}

.emmenpark_group {
    display: block;
}

.emmenpark_group .company {
    margin: calc(var(--spacing-3) / 2) 0;
}

.emmenpark_group .company, .emmenpark_group .company a {
    line-height: 0;
}

.footer__bottom__emmenpark_group .company a {
    display: inline-block;
}

.emmenpark_group__place .company__inside {
    position: relative;
}



/* Social Media */
.footer__main__social {
    margin-top: var(--spacing-3-5);
}

.social_media {
    text-align: center;
}

.social_media > a {
    position: relative;
    display: inline-block;
    width: 42px;
    height: 42px;
}

.social_media > a::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--brand-color-1);
    border-radius: 50%;
    -webkit-transition: var(--transition-2);
    -o-transition: var(--transition-2);
    transition: var(--transition-2);
    z-index: 1;
}

.no-touchevents .social_media > a:hover::after {
    -webkit-transform: scale(1.1);
        -ms-transform: scale(1.1);
            transform: scale(1.1);
}






/* ------------------------------ */
/* -------- Media Queries ------- */
/* ------------------------------ */

@media all and (min-width: 1600px) {

    .emmenpark_group__row {
        margin-right: calc(var(--spacing-3)* -1);
        margin-left: calc(var(--spacing-3)* -1);
    }

    .emmenpark_group .company {
        padding-right: var(--spacing-3);
        padding-left: var(--spacing-3);
    }

}


@media all and (min-width: 1400px) {

    footer {
        padding: var(--spacing-10-5) 0 var(--spacing-7);
    }

}


@media all and (max-width: 1599.98px) {

    .emmenpark_group__row {
        margin-right: calc(var(--spacing-2)* -1);
        margin-left: calc(var(--spacing-2)* -1);
    }

    .emmenpark_group .company {
        padding-right: var(--spacing-2);
        padding-left: var(--spacing-2);
    }

}


@media all and (max-width: 1399.98px) and (min-width: 992px) {

    .emmenpark_group {
        padding-right: var(--spacing-7);
    }

}


@media all and (max-width: 1399.98px) and (min-width: 768px) {

    footer {
        padding: var(--spacing-10-5) 0 var(--spacing-5);
    }

}


@media all and (max-width: 1239.98px) {

    .emmenpark_group__row {
        margin-right: calc(var(--spacing-3-5) * -1);
        margin-left: calc(var(--spacing-3-5) * -1);
    }

    .footer__bottom__emmenpark_group .company {
        padding-left: var(--spacing-3-5);
        padding-right: var(--spacing-3-5);
    }

    .footer__main__voucher {
        margin-top: var(--spacing-6-5);
        margin-bottom: var(--spacing-6);
    }
    
}


@media all and (max-width: 991.98px) and (min-width: 768px) {

    .footer__bottom__divider {
        height: 25px;   
    }

    .company--1881-kantine img{
        max-width: 70px;
    }

    .company--maxililian img {
        max-width: 170px;
    }

}


@media all and (min-width: 768px) {

    .footer__main__opening_hours {
        padding-top: var(--spacing-7);
    }

    /*
    .footer__main__opening_hours .opening_hours__title {
        padding: var(--spacing-7) 0 var(--spacing-3.5);
    }
    */

    .footer__main__opening_hours .opening_hours__title {
        padding: 0 0 var(--spacing-2);
    }

    .footer__legal__nav li + li {
        padding-left: var(--spacing-3);
    }

    .footer__bottom {
        padding-top: var(--spacing-9);
    }

    .footer__bottom__divider {
        margin: 4px 0 calc(var(--spacing-3) / 2);
    }

}


@media all and (max-width: 991.98px) {

    footer {
        padding: var(--spacing-10-5) 0 calc(var(--spacing-5) + 66px);
    }

    .emmenpark_group__row {
        -ms-flex-pack: distribute;
            justify-content: space-around;
    }

    .footer__bottom {
        padding-top: var(--spacing-6);
    }

    .footer__bottom__divider span {
        position: absolute;
        height: 1px;
        width: 1px;
        clip: rect(1px,1px,1px,1px);
        border: 0;
        overflow: hidden;
    }

    .footer__bottom__emmenpark_group .company {
        -ms-flex-preferred-size: 33.333%;
            flex-basis: 33.333%;
        max-width: 33.333%;
    }

    .footer__bottom__emmenpark_group .company:nth-of-type(n+4) {
        padding-top: var(--spacing-3);
    }


    /* Riverside Link */
    .footer__main__external_link {
        margin-top: var(--spacing-4);
        text-align: center;
    }

}


@media all and (max-width: 767.98px) {

    footer {
        padding: var(--spacing-10) 0 calc(var(--spacing-5) + 66px);
    }

    .footer__main__logo img {
        max-width: 94px;
    }

    .footer__main__opening_hours {
        padding-top: var(--spacing-6);
    }

    .footer__main__opening_hours .opening_hours__title {
        padding: 0 0 9px;
    }

    .footer__legal__info span + span, .footer__legal__nav li + li {
        padding-top: 6px;
    }

    .footer__legal__info span + span {
        display: block;
        padding-left: 0;
    }

    .footer__legal__nav li {
        display: block;
    }

    .footer__main__external_link {
        margin-top: var(--spacing-3-5);
    }

    .footer__bottom {
        padding-top: var(--spacing-3);
    }

    .footer__bottom__divider {
        height: 23px;
        margin: var(--spacing-1) 0 var(--spacing-2);
    }

    .emmenpark_group__row {
        margin-right: -10px;
        margin-left: -10px;
    }

    .footer__bottom__emmenpark_group .company  {
        padding: var(--spacing-1) 10px;
    }

    .company--emmenpark-catering img {
        max-height: 60px;
    }

    .company--1881-kantine img {
        max-height: 70px;
    }

    .footer__bottom__emmenpark_group .company--maxililian {
        -ms-flex-preferred-size: 35%;
            flex-basis: 35%;
        max-width: 35%;
    }

    .footer__bottom__emmenpark_group .company--sagi-oberwil {
        -ms-flex-preferred-size: 37%;
            flex-basis: 37%;
        max-width: 37%;
    }

}


@media all and (max-width: 359.98px) {

    .footer__legal__info {
        width: 100%;
        padding-bottom: 6px;
    }

}